#ifndef _TG_IO_H_
#define _TG_IO_H_

#include <fcntl.h>
#include <string.h>
#include <unistd.h>
#include <tg_struct.h>

int create_new_files(char *fn, size_t s, GCardinal max_rec);
int allocate(IO *io);
GView lock(IO *io, int rec);
int unlock(IO *io, GView v);
IO *g_open(char *fn, int ro);
void g_close(IO *io);
void g_free(IO *io);
int g_write(IO *io, GView v, void *buf, size_t len);
int g_read(IO *io, GView v, void *buf, size_t len);
void *g_read_alloc(IO *io, GView v, size_t *len);
int g_flush(IO *io, GView v);

#endif /* _TG_IO_H_ */
